Subject: Re: bug#24848: [sh-script] How to save "Local rules set" result from sh-learn-buffer-indent?

From: <[email-masked]>
Date: Mon, 25 Sep 2017 11:10:04 +0000

I've no idea what's going on now!

I've ensured that the patched version is being used.  (I had to compile again and copy across, but it's there now.)

But if I use M-x describe-variable RET smie-config RET it complains "[No match]".   I can see it in my ~/.emacs file and if I use describe-variable on any of the other things inside custom-set-variables they are all known and have the correct value!  I commented out sh-indentation too, just to be safe.

There are no messages when I start Emacs, no errors or anything.

Very confused now!